Retrieve Facebook campaigns, adsets, or ads based on entity type
http
GET https://services.leadconnectorhq.com/ad-publishing/facebook/entityAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | loc_abc123 | Account identifier |
type | string | Yes | AD_MANAGER | Integration source type |
next | string | No | cursor_abc | Pagination cursor |
fetchAll | string | No | true | Fetch all entities |
campaignId | string | No | camp_123 | Campaign identifier |
adSetId | string | No | adset_123 | Ad set identifier |
entityType | string | Yes | CAMPAIGN | Entity type to fetch |
searchId | string | No | search_123 | Search identifier |
selectedAdAccountId | string | No | act_123456 | Selected ad account ID |
Responses
200 - Response
400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/entity' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/entity', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/ad-publishing/facebook/entity',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/facebook/entity');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);